Audited (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.hibernate.envers
Annotation Type Audited

    @Retention(value=RUNTIME)
    @Target(value={TYPE,METHOD,FIELD})
    public @interface Audited

When applied to a class, indicates that all of its properties should be audited. When applied to a field, indicates that this field should be audited.

Optional Element Summary
`Class[]` | `auditParents` Deprecated. Use `@AuditOverride(forClass=SomeEntity.class)` instead.
`ModificationStore` | `modStore`
`RelationTargetAuditMode` | `targetAuditMode`
`boolean` | `withModifiedFlag`

### modStore

    public abstract ModificationStore modStore

  Default:
    org.hibernate.envers.ModificationStore.FULL

### targetAuditMode

    public abstract RelationTargetAuditMode targetAuditMode

  Returns:
    Specifies if the entity that is the target of the relation should be audited or not. If not, then when reading a historic version an audited entity, the relation will always point to the "current" entity. This is useful for dictionary-like entities, which don't change and don't need to be audited.
  Default:
    org.hibernate.envers.RelationTargetAuditMode.AUDITED

### auditParents

    public abstract Class[] auditParents

  Deprecated. Use `@AuditOverride(forClass=SomeEntity.class)` instead.

  Returns:
    Specifies the superclasses for which properties should be audited, even if the superclasses are not annotated with `Audited`. Causes all properties of the listed classes to be audited, just as if the classes had `Audited` annotation applied on the class level. The scope of this functionality is limited to the class hierarchy of the annotated entity. If a parent type lists any of its parent types using this attribute, all properties in the specified classes will also be audited.
  Default:
    {}

### withModifiedFlag

    public abstract boolean withModifiedFlag

  Returns:
    Should a modification flag be stored for each property in the annotated class or for the annotated property. The flag stores information if a property has been changed at a given revision. This can be used for example in queries.
  Default:
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.